#!/bin/sh

SPLIT_NIB="../split_nib"
A3_NIB="../zImage_rz_60_a3_20110511.bin"
V65_NIB="../RK43A_60BWFRT_RAMOSV65_20110817_1.bin"

A3_SYS=A3/system.img
A3_DAT=A3/userdata.img
V65_SYS=V65/system.img
V65_DAT=V65/userdata.img


rm -f out_dat/app/*.apk
cp -p a3_dat/app/com.icenta.sudoku.ui.apk out_dat/app
cp -p a3_dat/app/com.estrongs.android.pop.apk out_dat/app/ES_file_manager.apk
cp -p a3_dat/app/AngryBirds_2011-03-14_1.5.3_MIPS.apk out_dat/app/
if [ -d m1_dat/app ]; then
  cp -p m1_dat/app/cn_opda_a_phonoalbumshoushou_207.apk  out_dat/app/
  cp -p m1_dat/app/Advanced_Task_Killer.apk out_dat/app/
  cp -p m1_dat/app/Quickoffice.apk out_dat/app/
fi
if [ -d custom_files/app ]; then
  for i in custom_files/app/*.apk ; do
	cp -p $i out_dat/app
  done
fi
if [ -f custom_files/lib/libdvm.so ]; then
	cp -p custom_files/lib/local.prop out_dat/
fi


dd if=/dev/zero of=out_dat/tmp_file bs=1024k
rm -f out_dat/tmp_file

